# Shortener

This is an small wrapper around the [ethical shortener](https://is.gd/ethics.php) service <https://is.gd>.

## Installation

First install ExoRepo and then run this in a playground:

```smalltalk
ExoRepo new
   repository: 'https://code.sustrato.red/Offray/Shortener';
   load.
```

## Usage

* To shorten a link do:

  `Shortener shorten: 'https://pharo.org'`, which produces something like: `'https://is.gd/cQWvtm'

* To enlarge a link do:

  `Shortener enlarge: 'https://is.gd/cQWvtm'`, which, conversely, produces `'https://pharo.org'.

* To shorten a link with an explicit alias do:

  `Shortener shorten: 'https://pharo.org' as: 'pharo'`, which produces `'https://is.gd/pharo'`.

  or will raise an error once a short url have been taken. 
  For example, by running the previous example the alias 'pharo' has been taken for all future 
  short urls and can not be used again (you will need to pick a new short url alias).
  
  You can also enlarge a link from YouTube using:
  
  `YouTube enlargeLink: 'https://youtu.be/ggSyF1SVFr4'`
  
  which produces `https://www.youtube.com/watch?v=ggSyF1SVFr4`.

Migrated from: <http://static.smalltalkhub.com/Offray/Shortener/index.html>